[Libreoffice-commits] .: bin/piece
Petr Mladek
pmladek at kemper.freedesktop.org
Wed Nov 24 10:40:00 PST 2010
bin/piece/file-list-postprocess | 36 +++++++++++++++++++++++-------------
1 file changed, 23 insertions(+), 13 deletions(-)
New commits:
commit 579b93a4db9ec232e0e47680fdaef762b616cffb
Author: Petr Mladek <pmladek at suse.cz>
Date: Wed Nov 24 19:33:58 2010 +0100
install branding for the welcome screen in the split build (bnc#653519)
diff --git a/bin/piece/file-list-postprocess b/bin/piece/file-list-postprocess
index b199bf9..efe0d68 100755
--- a/bin/piece/file-list-postprocess
+++ b/bin/piece/file-list-postprocess
@@ -33,16 +33,26 @@ chmod 755 $DESTDIR$OO_INSTDIR/basis$VERSION/program/java-set-classpath
echo "$OO_INSTDIR/basis$VERSION/program/java-set-classpath" >>files-$piece.txt
# FIXME: about, intro are not isntalled by the installer
-if test "$OOO_BUILD_NOARCH" = 'YES' ; then
- # create only symlinks; the icons will be packaged separately
- ln -sf $OO_INSTDIR_SHARE/program/about.png $DESTDIR$OO_INSTDIR/program
- ln -sf $OO_INSTDIR_SHARE/program/intro.png $DESTDIR$OO_INSTDIR/program
- ln -sf $OO_INSTDIR_SHARE/program/intro.bmp $DESTDIR$OO_INSTDIR/program
-else
- cp $OO_SOLVERDIR/default_images/introabout/about.png $DESTDIR$OO_INSTDIR/program || exit 1;
- cp $OO_SOLVERDIR/default_images/introabout/intro.png $DESTDIR$OO_INSTDIR/program || exit 1;
- cp $OO_SOLVERDIR/default_images/introabout/intro.bmp $DESTDIR$OO_INSTDIR/program || exit 1;
-fi
-echo "$OO_INSTDIR/program/about.png" >>files-$piece.txt
-echo "$OO_INSTDIR/program/intro.png" >>files-$piece.txt
-echo "$OO_INSTDIR/program/intro.bmp" >>files-$piece.txt
+for file in intro.png intro-pt_BR.png about.png about-pt_BR.png ; do
+ if test "$OOO_BUILD_NOARCH" = 'YES' ; then
+ # create only symlinks; the icons will be packaged separately
+ ln -sf $OO_INSTDIR_SHARE/program/$file $DESTDIR$OO_INSTDIR/program
+ else
+ cp $OO_SOLVERDIR/default_images/brand/$file $DESTDIR$OO_INSTDIR/program || exit 1;
+ fi
+ echo "$OO_INSTDIR/program/$file" >>files-$piece.txt
+done
+# welcome screen
+mkdir -p $DESTDIR$OO_INSTDIR/program/shell
+echo "%dir $OO_INSTDIR/program/shell" >>files-$piece.txt
+for file in backing_left.png backing_left-pt_BR.png backing_right.png \
+ backing_right-pt_BR.png backing_rtl_left.png \
+ backing_rtl_right.png backing_space.png ; do
+ if test "$OOO_BUILD_NOARCH" = 'YES' ; then
+ # create only symlinks; the icons will be packaged separately
+ ln -sf $OO_INSTDIR_SHARE/program/shell/$file $DESTDIR$OO_INSTDIR/program/shell
+ else
+ cp $OO_SOLVERDIR/default_images/brand/shell/$file $DESTDIR$OO_INSTDIR/program/shell || exit 1;
+ fi
+ echo "$OO_INSTDIR/program/shell/$file" >>files-$piece.txt
+done
More information about the Libreoffice-commits
mailing list